package com.qmth.boot.core.ai.model.doc;

public enum ParseDocTaskStatus {

    PENDING("排队中"),

    PROCESSING("运行中"),

    SUCCESS("成功"),

    FAILED("失败");

    private String title;

    ParseDocTaskStatus(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    public static ParseDocTaskStatus find(String name) {
        for (ParseDocTaskStatus status : values()) {
            if (status.name().equalsIgnoreCase(name)) {
                return status;
            }
        }
        return null;
    }

}
