package com.qmth.boot.data.upgrade.service;

import org.springframework.jdbc.core.JdbcTemplate;

/**
 * 数据初始化服务类
 *
 * @author: Deason
 * @since: 2025/3/3
 */
public interface DataInitService {

    /**
     * 数据初始化处理
     *
     * @throws Exception 处理失败时抛出异常
     */
    void process(JdbcTemplate jdbcTemplate) throws Exception;

}
